---
include:
  - project: 'renovate-bot/renovate-runner'
    file: '/templates/renovate.gitlab-ci.yml'
    ref: v10.118.0

variables:
  RENOVATE_EXTRA_FLAGS: '--autodiscover=true'
  RENOVATE_CONFIG_FILE: "./config.json"
  
renovate:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule" && $CI_COMMIT_BRANCH !~ /^renovate.+$/'
    - if: '$CI_PIPELINE_SOURCE == "push" && $CI_COMMIT_BRANCH !~ /^renovate.+$/'
